Başarısız hareket otomasyonunu yeniden dene
curl --request POST \
--url https://api.tahsil.dev/banks/transactions/{id}/automation/retry \
--header 'Authorization: Bearer <token>' \
--header 'x-company-id: <x-company-id>'const options = {
method: 'POST',
headers: {'x-company-id': '<x-company-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.tahsil.dev/banks/transactions/{id}/automation/retry', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tahsil.dev/banks/transactions/{id}/automation/retry",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-company-id: <x-company-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"status": true,
"result": {
"id": "<string>",
"companies": "<string>",
"status": true,
"version": "<string>",
"providerStamp": "<string>",
"idNo": "<string>",
"findAI": true,
"incoming": true,
"amount": 123,
"balance": 123,
"bankCode": "akbank",
"accountId": "<string>",
"subAccountKey": "<string>",
"stamp": "2023-11-07T05:31:56Z",
"transactionDate": "2023-11-07T05:31:56Z",
"fetchedAt": "2023-11-07T05:31:56Z",
"code": "<string>",
"nameSurname": "<string>",
"iban": "<string>",
"description": "<string>",
"currency": "TRY",
"assignmentSummary": {
"referenceKeys": [
"<string>"
],
"tags": [
"<string>"
],
"count": 1,
"updatedAt": "2023-11-07T05:31:56Z"
},
"automation": {
"attempts": 1,
"nextAttemptAt": "2023-11-07T05:31:56Z",
"lastAttemptAt": "2023-11-07T05:31:56Z",
"lastEvaluatedAt": "2023-11-07T05:31:56Z",
"lastError": "<string>",
"lockOwner": "<string>",
"lockUntil": "2023-11-07T05:31:56Z"
},
"assignments": [
{
"id": "<string>",
"companies": "<string>",
"transactionId": "<string>",
"originId": "<string>",
"reference": {
"source": "<string>",
"entityType": "<string>",
"externalId": "<string>",
"label": "<string>"
},
"tags": [
"<string>"
],
"ruleId": "<string>",
"ruleVersion": 123,
"referenceKey": "<string>",
"matchedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z",
"revokedReason": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"ruleSnapshotHash": "<string>",
"createdBy": "<string>",
"updatedBy": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"status": false,
"code": "TRANSACTION_AMOUNT_RANGE_INVALID",
"message": "minAmount, maxAmount değerinden büyük olamaz."
}Başarısız hareket otomasyonunu yeniden dene
POST
/
banks
/
transactions
/
{id}
/
automation
/
retry
Başarısız hareket otomasyonunu yeniden dene
Yetkilendirmeler
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Başlıklar
Yazma işleminin hedef firma kimliği.
Yol Parametreleri
Bu sayfa yararlı mıydı?
⌘I